Bug 1011634 - ClassLoading deadlock on startup
ClassLoading deadlock on startup
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: kconner
Jiri Sedlacek
Depends On:
  Show dependency treegraph
Reported: 2013-09-24 12:36 EDT by kconner
Modified: 2015-08-02 19:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-06-18 11:13:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Stack dumps of the VM including the identified deadlock at the end (253.40 KB, text/plain)
2013-09-24 12:36 EDT, kconner
no flags Details

  None (edit)
Description kconner 2013-09-24 12:36:14 EDT
Created attachment 802350 [details]
Stack dumps of the VM including the identified deadlock at the end

Description of problem:

A deadlock was seen while running up a server on OpenShift, using the RTGov for ER3.  The deadlock occurs deep in the ClassLoading, while 

The version of the JVM is

java version "1.7.0_25"
OpenJDK Runtime Environment (rhel-
OpenJDK Server VM (build 24.0-b50, mixed mode)

It looks like it is a bug in the JDK however I believe that weld may have a workaround, https://issues.jboss.org/browse/WELD-1169
Comment 2 kconner 2013-09-24 12:43:42 EDT
The server reports itself as JBoss EAP 6.1.0.GA (AS 7.2.0.Final-redhat-8) and is an installation of the current SY + RTGov codebases.
Comment 3 Anne-Louise Tangring 2013-11-11 13:47:19 EST
This should be fixed by picking up EAP 6.1.1.
Comment 4 kconner 2013-11-13 11:36:38 EST
I double checked the EAP 6.1.1 release and, unfortunately, it does not contain the workaround for this JDK bug.  The fix had been made in the Weld 2.x release stream whereas the EAP 6.1.1 release contains Weld-1.1.13.

There is a separate issue for having this addressed in the 1.x stream, https://issues.jboss.org/browse/WELD-1296.

I believe that this issue has only been seen once to date so it would appear that the window of opportunity is very small.
Comment 5 Gary Brown 2014-06-18 11:13:42 EDT
Looks like the problem has now been fixed in the jdk: http://bugs.java.com/bugdatabase/view_bug.do?bug_id=7122142
Comment 6 kconner 2014-06-26 14:48:14 EDT
No longer a bug as it has been fixed in the latest JDK

Note You need to log in before you can comment on or make changes to this bug.